com.amazonaws.services.servermigration.model

## Class VmServerAddress

- java.lang.Object
- - com.amazonaws.services.servermigration.model.VmServerAddress

All Implemented Interfaces:
  Serializable, Cloneable

    public class VmServerAddress
    extends Object
    implements Serializable, Cloneable

Object representing a server's location

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VmServerAddress()`

### Method Summary

All Methods Instance Methods Concrete Methods
`VmServerAddress` `clone()`
`boolean` `equals(Object obj)`
`String` `getVmId()`
`String` `getVmManagerId()`
`int` `hashCode()`
`void` `setVmId(String vmId)`
`void` `setVmManagerId(String vmManagerId)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`VmServerAddress` `withVmId(String vmId)`
`VmServerAddress` `withVmManagerId(String vmManagerId)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VmServerAddress

    public VmServerAddress()

### Method Detail

#### setVmManagerId

    public void setVmManagerId(String vmManagerId)

Parameters:
  `vmManagerId` -

#### getVmManagerId

    public String getVmManagerId()

Returns:

#### withVmManagerId

    public VmServerAddress withVmManagerId(String vmManagerId)

Parameters:
  `vmManagerId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVmId

    public void setVmId(String vmId)

Parameters:
  `vmId` -

#### getVmId

    public String getVmId()

Returns:

#### withVmId

    public VmServerAddress withVmId(String vmId)

Parameters:
  `vmId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public VmServerAddress clone()

Overrides:
  `clone` in class `Object`